--- title: "Get encoding option" slug: "vodstation-encodingoption-info" tags: ["VOD Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vodstation-encodingoption-info" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get encoding option Available in Classic and VPC Get enconding option details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/encoding-option/{encodingOptionId} | ### Request headers For information about the headers common to all VOD Station APIs, see [VOD Station request headers](/docs/en/vodstation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `encodingOptionId` | String | Required | Encoding option ID - See [Get encoding option list](/docs/en/vodstation-encodingoption-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vodstation.apigw.ntruss.com/api/v2/encoding-option/1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.disabled` | Boolean | - | Whether Sub Account is disabled - `true` \| `false` - `true`: Disabled - `false`: Enabled | | `content.id` | Integer | - | Encoding option ID | | `content.encodingOptionType` | String | - | Encoding option type - `NORMAL` \| `AUDIO` - `NORMAL`: Video encoding option - `AUDIO`: Audio encoding option | | `content.name` | String | - | Encoding option name | | `content.format` | String | - | Converted media file's container format | | `content.video` | Object | - | Video encoding option information | | `content.video.codec` | String | - | Video codec format | | `content.video.codecOptions` | Object | - | Video codec detailed option information | | `content.video.codecOptions.profile` | String | - | Video codec profile | | `content.video.codecOptions.level` | String | - | Video codec level | | `content.video.bitrate` | Integer | - | Video stream's bitrate (Kbps) | | `content.video.width` | Integer | - | Output video width (pixel) | | `content.video.height` | Integer | - | Output video height (pixel) | | `content.video.framerate` | Double | - | Number of frames per second (fps) | | `content.video.maxFramerate` | Double | - | Maximum number of frames per second (fps) | | `content.video.keyframeInterval` | Double | - | Interval of key frames created in video (second) | | `content.video.rateControl` | String | - | Bitrate distribution method - `AUTO` \| `ABR` \| `CRF` \| `CBR` - `AUTO`: Automatic - `ABR`: Average bitrate - `CRF`: Constant rate factor - `CBR`: Constant bitrate | | `content.video.pass` | String | - | Encoding pass settings when converting video - `1-Pass` \| `2-Pass` - `1-Pass`: Proceed with 1 encoding - `2-Pass`: Proceed with 2 encodings | | `content.audio` | Object | - | Audio encoding option information | | `content.audio.codec` | String | - | Audio codec format | | `content.audio.bitrate` | Integer | - | Audio stream's bitrate (Kbps) | | `content.audio.channel` | Integer | - | Channel count settings for output audio - `AUTO` \| `1` \| `2` - `AUTO`: Automatic - `1`: Mono - `2`: Stereo | | `content.audio.samplingRate` | Double | - | Output audio sampling rate (Hz) | | `defaultSet` | Boolean | - | Whether to set default encoding options - `true` \| `false` - `true`: System provided - `false`: User created | | `content.regionNo` | String | - | Region number - `1` (valid value) - `1`: Korea Region | | `content.memberNo` | Integer | - | Member number | ### Response status codes For information about the HTTP status codes common to all VOD Station APIs, see [VOD Station response status codes](/docs/en/vodstation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "disabled": false, "id": 1, "encodingOptionType": "NORMAL", "name": "AVC_SD_1Pass_30fps", "format": "MP4", "video": { "codec": "AVC", "codecOptions": { "profile": "MAIN", "level": "3.1" }, "bitrate": 500, "width": 480, "height": 320, "framerate": -2.0, "maxFramerate": 30.0, "keyframeInterval": 2.0, "rateControl": "ABR", "pass": "1-Pass" }, "audio": { "codec": "AAC", "bitrate": 128, "channel": 2, "samplingRate": 44100.0 }, "defaultSet": true, "memberNo": -1 } } ```